from django.core.management.base import BaseCommand
from optparse import make_option
import json
import urllib
import urllib2
from publieditor.content.models import MediaVideo

class Command(BaseCommand):
    """Get all messages from configured Host
    """
    help = "Wao!"

    output_transaction = True

    def handle(self, *args, **options):

        all_videos = MediaVideo.objects.all()

        for video in all_videos:
            try:
                # lettura da media server
                video_id = video.video_id
                url = "https://media.autolinknews.com/searchVideos.json"
                query = "id:%s" % str(video_id)
                parameters = {"query":query, "newsId":"0"}
                data = urllib.urlencode(parameters)
                req = urllib2.Request(url, data)
                response = urllib2.urlopen(req)
                response_object = response.read()
                str1_obj = response_object.split("Result(")
                json_object = str1_obj[1].split(")")
                response_dict = json.loads(json_object[0])["result"][0]

            except Exception, ex:
                response_dict = {}

            if response_dict and "videoUrl" in response_dict:
                # modifica oggetto video
                video.video_url = response_dict["videoUrl"]
                video.save()