# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding index on 'Issue', fields ['status']
        db.create_index(u'content_issue', ['status'])

        # Adding index on 'Issue', fields ['number']
        db.create_index(u'content_issue', ['number'])

        # Adding index on 'Issue', fields ['pub_date']
        db.create_index(u'content_issue', ['pub_date'])

        # Adding index on 'Issue', fields ['ordering', 'number']
        db.create_index(u'content_issue', ['ordering', 'number'])

        # Adding index on 'VideoContentGallery', fields ['video']
        db.create_index(u'content_videocontentgallery', ['video'])

        # Adding index on 'VideoContentGallery', fields ['ordering', u'id']
        db.create_index(u'content_videocontentgallery', ['ordering', u'id'])

        # Adding index on 'Kind', fields ['name']
        db.create_index(u'content_kind', ['name'])

        # Adding index on 'Kind', fields ['ordering', 'name']
        db.create_index(u'content_kind', ['ordering', 'name'])

        # Adding index on 'VideoCarModelGallery', fields ['video']
        db.create_index(u'content_videocarmodelgallery', ['video'])

        # Adding index on 'VideoCarModelGallery', fields ['ordering', u'id']
        db.create_index(u'content_videocarmodelgallery', ['ordering', u'id'])

        # Adding index on 'PhotoCarModelGallery', fields ['photo']
        db.create_index(u'content_photocarmodelgallery', ['photo'])

        # Adding index on 'PhotoCarModelGallery', fields ['ordering', u'id']
        db.create_index(u'content_photocarmodelgallery', ['ordering', u'id'])

        # Adding index on 'Content', fields ['code']
        db.create_index(u'content_content', ['code'])

        # Adding index on 'Content', fields ['photo']
        db.create_index(u'content_content', ['photo'])

        # Adding index on 'Content', fields ['table']
        db.create_index(u'content_content', ['table'])

        # Adding index on 'Content', fields ['status']
        db.create_index(u'content_content', ['status'])

        # Adding index on 'PhotoContentGallery', fields ['photo']
        db.create_index(u'content_photocontentgallery', ['photo'])

        # Adding index on 'PhotoContentGallery', fields ['ordering', u'id']
        db.create_index(u'content_photocontentgallery', ['ordering', u'id'])

        # Adding index on 'Brand', fields ['moto']
        db.create_index(u'content_brand', ['moto'])

        # Adding index on 'Brand', fields ['start_date']
        db.create_index(u'content_brand', ['start_date'])

        # Adding index on 'Brand', fields ['status']
        db.create_index(u'content_brand', ['status'])

        # Adding index on 'Brand', fields ['end_date']
        db.create_index(u'content_brand', ['end_date'])

        # Adding index on 'Brand', fields ['auto']
        db.create_index(u'content_brand', ['auto'])

        # Adding index on 'Brand', fields ['popolarity']
        db.create_index(u'content_brand', ['popolarity'])

        # Adding index on 'Brand', fields ['kind']
        db.create_index(u'content_brand', ['kind'])

        # Adding index on 'Brand', fields ['name']
        db.create_index(u'content_brand', ['name'])

        # Adding index on 'Brand', fields ['truck']
        db.create_index(u'content_brand', ['truck'])

        # Adding index on 'Brand', fields ['ordering', 'name']
        db.create_index(u'content_brand', ['ordering', 'name'])

        # Adding index on 'TranslationContent', fields ['ordering', 'language', 'title']
        db.create_index(u'content_translationcontent', ['ordering', 'language_id', 'title'])

        # Adding index on 'Layout', fields ['name']
        db.create_index(u'content_layout', ['name'])

        # Adding index on 'Layout', fields ['ordering', 'name']
        db.create_index(u'content_layout', ['ordering', 'name'])

        # Adding index on 'Car', fields ['luggage_max']
        db.create_index(u'content_car', ['luggage_max'])

        # Adding index on 'Car', fields ['status']
        db.create_index(u'content_car', ['status'])

        # Adding index on 'Car', fields ['year_first']
        db.create_index(u'content_car', ['year_first'])

        # Adding index on 'Car', fields ['power_kw']
        db.create_index(u'content_car', ['power_kw'])

        # Adding index on 'Car', fields ['version']
        db.create_index(u'content_car', ['version'])

        # Adding index on 'Car', fields ['weight']
        db.create_index(u'content_car', ['weight'])

        # Adding index on 'Car', fields ['power_weight']
        db.create_index(u'content_car', ['power_weight'])

        # Adding index on 'Car', fields ['torque_rpm']
        db.create_index(u'content_car', ['torque_rpm'])

        # Adding index on 'Car', fields ['seat']
        db.create_index(u'content_car', ['seat'])

        # Adding index on 'Car', fields ['shape']
        db.create_index(u'content_car', ['shape'])

        # Adding index on 'Car', fields ['cons_urban']
        db.create_index(u'content_car', ['cons_urban'])

        # Adding index on 'Car', fields ['motor']
        db.create_index(u'content_car', ['motor'])

        # Adding index on 'Car', fields ['year']
        db.create_index(u'content_car', ['year'])

        # Adding index on 'Car', fields ['power_rpm']
        db.create_index(u'content_car', ['power_rpm'])

        # Adding index on 'Car', fields ['speed']
        db.create_index(u'content_car', ['speed'])

        # Adding index on 'Car', fields ['cons_mix']
        db.create_index(u'content_car', ['cons_mix'])

        # Adding index on 'Car', fields ['co2']
        db.create_index(u'content_car', ['co2'])

        # Adding index on 'Car', fields ['layout']
        db.create_index(u'content_car', ['layout'])

        # Adding index on 'Car', fields ['driving']
        db.create_index(u'content_car', ['driving'])

        # Adding index on 'Car', fields ['width']
        db.create_index(u'content_car', ['width'])

        # Adding index on 'Car', fields ['kml_mix']
        db.create_index(u'content_car', ['kml_mix'])

        # Adding index on 'Car', fields ['area_c']
        db.create_index(u'content_car', ['area_c'])

        # Adding index on 'Car', fields ['tow']
        db.create_index(u'content_car', ['tow'])

        # Adding index on 'Car', fields ['power_cv']
        db.create_index(u'content_car', ['power_cv'])

        # Adding index on 'Car', fields ['traction']
        db.create_index(u'content_car', ['traction'])

        # Adding index on 'Car', fields ['torque_max']
        db.create_index(u'content_car', ['torque_max'])

        # Adding index on 'Car', fields ['doors']
        db.create_index(u'content_car', ['doors'])

        # Adding index on 'Car', fields ['fuel']
        db.create_index(u'content_car', ['fuel'])

        # Adding index on 'Car', fields ['agear']
        db.create_index(u'content_car', ['agear'])

        # Adding index on 'Car', fields ['field_src']
        db.create_index(u'content_car', ['field_src'])

        # Adding index on 'Car', fields ['engine']
        db.create_index(u'content_car', ['engine'])

        # Adding index on 'Car', fields ['turbo']
        db.create_index(u'content_car', ['turbo'])

        # Adding index on 'Car', fields ['engine_loc']
        db.create_index(u'content_car', ['engine_loc'])

        # Adding index on 'Car', fields ['gear']
        db.create_index(u'content_car', ['gear'])

        # Adding index on 'Car', fields ['eco']
        db.create_index(u'content_car', ['eco'])

        # Adding index on 'Car', fields ['price']
        db.create_index(u'content_car', ['price'])

        # Adding index on 'Car', fields ['power_spec']
        db.create_index(u'content_car', ['power_spec'])

        # Adding index on 'Car', fields ['standard_num']
        db.create_index(u'content_car', ['standard_num'])

        # Adding index on 'Car', fields ['cons_extra']
        db.create_index(u'content_car', ['cons_extra'])

        # Adding index on 'Car', fields ['mod_date']
        db.create_index(u'content_car', ['mod_date'])

        # Adding index on 'Car', fields ['proxymity']
        db.create_index(u'content_car', ['proxymity'])

        # Adding index on 'Car', fields ['month']
        db.create_index(u'content_car', ['month'])

        # Adding index on 'Car', fields ['target']
        db.create_index(u'content_car', ['target'])

        # Adding index on 'Car', fields ['acc']
        db.create_index(u'content_car', ['acc'])

        # Adding index on 'Car', fields ['tank']
        db.create_index(u'content_car', ['tank'])

        # Adding index on 'Car', fields ['displ']
        db.create_index(u'content_car', ['displ'])

        # Adding index on 'Car', fields ['luggage']
        db.create_index(u'content_car', ['luggage'])

        # Adding index on 'Car', fields ['price_update']
        db.create_index(u'content_car', ['price_update'])

        # Adding index on 'Car', fields ['new_date']
        db.create_index(u'content_car', ['new_date'])

        # Adding index on 'Car', fields ['height']
        db.create_index(u'content_car', ['height'])

        # Adding index on 'Car', fields ['length']
        db.create_index(u'content_car', ['length'])

        # Adding index on 'Car', fields ['pollution']
        db.create_index(u'content_car', ['pollution'])

        # Adding index on 'Car', fields ['ordering', 'version']
        db.create_index(u'content_car', ['ordering', 'version'])

        # Adding index on 'CorporateBrandLink', fields ['kind']
        db.create_index(u'content_corporatebrandlink', ['kind'])

        # Adding index on 'CorporateBrandLink', fields ['end_date']
        db.create_index(u'content_corporatebrandlink', ['end_date'])

        # Adding index on 'CorporateBrandLink', fields ['start_date']
        db.create_index(u'content_corporatebrandlink', ['start_date'])

        # Adding index on 'CorporateBrandLink', fields ['ordering', 'corporate', 'brand']
        db.create_index(u'content_corporatebrandlink', ['ordering', 'corporate_id', 'brand_id'])

        # Adding index on 'CarContent', fields ['ordering']
        db.create_index(u'content_carcontent', ['ordering'])

        # Adding index on 'UserContentSettings', fields ['is_read']
        db.create_index(u'content_usercontentsettings', ['is_read'])

        # Adding index on 'UserContentSettings', fields ['is_removed']
        db.create_index(u'content_usercontentsettings', ['is_removed'])

        # Adding index on 'UserContentSettings', fields ['is_favorite']
        db.create_index(u'content_usercontentsettings', ['is_favorite'])

        # Adding index on 'UserContentSettings', fields ['user', 'translation_content', 'is_favorite']
        db.create_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_favorite'])

        # Adding index on 'UserContentSettings', fields ['user', 'translation_content', 'is_read']
        db.create_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_read'])

        # Adding index on 'UserContentSettings', fields ['user', 'translation_content', 'is_removed']
        db.create_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_removed'])

        # Adding index on 'UserContentSettings', fields ['user', 'translation_content']
        db.create_index(u'content_usercontentsettings', ['user_id', 'translation_content_id'])

        # Adding index on 'UserContentSettings', fields ['user', 'translation_content', 'is_favorite', 'is_removed']
        db.create_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_favorite', 'is_removed'])

        # Adding index on 'CarModel', fields ['driving']
        db.create_index(u'content_carmodel', ['driving'])

        # Adding index on 'CarModel', fields ['status']
        db.create_index(u'content_carmodel', ['status'])

        # Adding index on 'CarModel', fields ['new_entry']
        db.create_index(u'content_carmodel', ['new_entry'])

        # Adding index on 'CarModel', fields ['name']
        db.create_index(u'content_carmodel', ['name'])

        # Adding index on 'CarModel', fields ['shapes']
        db.create_index(u'content_carmodel', ['shapes'])

        # Adding index on 'CarModel', fields ['ordering', 'name']
        db.create_index(u'content_carmodel', ['ordering', 'name'])

        # Adding index on 'Hit', fields ['status']
        db.create_index(u'content_hit', ['status'])

        # Adding index on 'Hit', fields ['title']
        db.create_index(u'content_hit', ['title'])

        # Adding index on 'Hit', fields ['unit']
        db.create_index(u'content_hit', ['unit'])

        # Adding index on 'Hit', fields ['ordering', 'title']
        db.create_index(u'content_hit', ['ordering', 'title'])

        # Adding index on 'Corporate', fields ['status']
        db.create_index(u'content_corporate', ['status'])

        # Adding index on 'Corporate', fields ['kind']
        db.create_index(u'content_corporate', ['kind'])

        # Adding index on 'Corporate', fields ['name']
        db.create_index(u'content_corporate', ['name'])

        # Adding index on 'Corporate', fields ['ordering', 'name']
        db.create_index(u'content_corporate', ['ordering', 'name'])

        # Adding index on 'Preference', fields ['deleted']
        db.create_index(u'content_preference', ['deleted'])

        # Adding index on 'Preference', fields ['read']
        db.create_index(u'content_preference', ['read'])

        # Adding index on 'Preference', fields ['saved']
        db.create_index(u'content_preference', ['saved'])

        # Adding index on 'Preference', fields ['reader', 'content']
        db.create_index(u'content_preference', ['reader_id', 'content_id'])

        # Adding index on 'Stream', fields ['status']
        db.create_index(u'content_stream', ['status'])

        # Adding index on 'Stream', fields ['name']
        db.create_index(u'content_stream', ['name'])

        # Adding index on 'Stream', fields ['ordering', 'name']
        db.create_index(u'content_stream', ['ordering', 'name'])

        # Adding index on 'Sector', fields ['name']
        db.create_index(u'content_sector', ['name'])

        # Adding index on 'Sector', fields ['ordering', 'name']
        db.create_index(u'content_sector', ['ordering', 'name'])


    def backwards(self, orm):
        # Removing index on 'Sector', fields ['ordering', 'name']
        db.delete_index(u'content_sector', ['ordering', 'name'])

        # Removing index on 'Sector', fields ['name']
        db.delete_index(u'content_sector', ['name'])

        # Removing index on 'Stream', fields ['ordering', 'name']
        db.delete_index(u'content_stream', ['ordering', 'name'])

        # Removing index on 'Stream', fields ['name']
        db.delete_index(u'content_stream', ['name'])

        # Removing index on 'Stream', fields ['status']
        db.delete_index(u'content_stream', ['status'])

        # Removing index on 'Preference', fields ['reader', 'content']
        db.delete_index(u'content_preference', ['reader_id', 'content_id'])

        # Removing index on 'Preference', fields ['saved']
        db.delete_index(u'content_preference', ['saved'])

        # Removing index on 'Preference', fields ['read']
        db.delete_index(u'content_preference', ['read'])

        # Removing index on 'Preference', fields ['deleted']
        db.delete_index(u'content_preference', ['deleted'])

        # Removing index on 'Corporate', fields ['ordering', 'name']
        db.delete_index(u'content_corporate', ['ordering', 'name'])

        # Removing index on 'Corporate', fields ['name']
        db.delete_index(u'content_corporate', ['name'])

        # Removing index on 'Corporate', fields ['kind']
        db.delete_index(u'content_corporate', ['kind'])

        # Removing index on 'Corporate', fields ['status']
        db.delete_index(u'content_corporate', ['status'])

        # Removing index on 'Hit', fields ['ordering', 'title']
        db.delete_index(u'content_hit', ['ordering', 'title'])

        # Removing index on 'Hit', fields ['unit']
        db.delete_index(u'content_hit', ['unit'])

        # Removing index on 'Hit', fields ['title']
        db.delete_index(u'content_hit', ['title'])

        # Removing index on 'Hit', fields ['status']
        db.delete_index(u'content_hit', ['status'])

        # Removing index on 'CarModel', fields ['ordering', 'name']
        db.delete_index(u'content_carmodel', ['ordering', 'name'])

        # Removing index on 'CarModel', fields ['shapes']
        db.delete_index(u'content_carmodel', ['shapes'])

        # Removing index on 'CarModel', fields ['name']
        db.delete_index(u'content_carmodel', ['name'])

        # Removing index on 'CarModel', fields ['new_entry']
        db.delete_index(u'content_carmodel', ['new_entry'])

        # Removing index on 'CarModel', fields ['status']
        db.delete_index(u'content_carmodel', ['status'])

        # Removing index on 'CarModel', fields ['driving']
        db.delete_index(u'content_carmodel', ['driving'])

        # Removing index on 'UserContentSettings', fields ['user', 'translation_content', 'is_favorite', 'is_removed']
        db.delete_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_favorite', 'is_removed'])

        # Removing index on 'UserContentSettings', fields ['user', 'translation_content']
        db.delete_index(u'content_usercontentsettings', ['user_id', 'translation_content_id'])

        # Removing index on 'UserContentSettings', fields ['user', 'translation_content', 'is_removed']
        db.delete_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_removed'])

        # Removing index on 'UserContentSettings', fields ['user', 'translation_content', 'is_read']
        db.delete_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_read'])

        # Removing index on 'UserContentSettings', fields ['user', 'translation_content', 'is_favorite']
        db.delete_index(u'content_usercontentsettings', ['user_id', 'translation_content_id', 'is_favorite'])

        # Removing index on 'UserContentSettings', fields ['is_favorite']
        db.delete_index(u'content_usercontentsettings', ['is_favorite'])

        # Removing index on 'UserContentSettings', fields ['is_removed']
        db.delete_index(u'content_usercontentsettings', ['is_removed'])

        # Removing index on 'UserContentSettings', fields ['is_read']
        db.delete_index(u'content_usercontentsettings', ['is_read'])

        # Removing index on 'CarContent', fields ['ordering']
        db.delete_index(u'content_carcontent', ['ordering'])

        # Removing index on 'CorporateBrandLink', fields ['ordering', 'corporate', 'brand']
        db.delete_index(u'content_corporatebrandlink', ['ordering', 'corporate_id', 'brand_id'])

        # Removing index on 'CorporateBrandLink', fields ['start_date']
        db.delete_index(u'content_corporatebrandlink', ['start_date'])

        # Removing index on 'CorporateBrandLink', fields ['end_date']
        db.delete_index(u'content_corporatebrandlink', ['end_date'])

        # Removing index on 'CorporateBrandLink', fields ['kind']
        db.delete_index(u'content_corporatebrandlink', ['kind'])

        # Removing index on 'Car', fields ['ordering', 'version']
        db.delete_index(u'content_car', ['ordering', 'version'])

        # Removing index on 'Car', fields ['pollution']
        db.delete_index(u'content_car', ['pollution'])

        # Removing index on 'Car', fields ['length']
        db.delete_index(u'content_car', ['length'])

        # Removing index on 'Car', fields ['height']
        db.delete_index(u'content_car', ['height'])

        # Removing index on 'Car', fields ['new_date']
        db.delete_index(u'content_car', ['new_date'])

        # Removing index on 'Car', fields ['price_update']
        db.delete_index(u'content_car', ['price_update'])

        # Removing index on 'Car', fields ['luggage']
        db.delete_index(u'content_car', ['luggage'])

        # Removing index on 'Car', fields ['displ']
        db.delete_index(u'content_car', ['displ'])

        # Removing index on 'Car', fields ['tank']
        db.delete_index(u'content_car', ['tank'])

        # Removing index on 'Car', fields ['acc']
        db.delete_index(u'content_car', ['acc'])

        # Removing index on 'Car', fields ['target']
        db.delete_index(u'content_car', ['target'])

        # Removing index on 'Car', fields ['month']
        db.delete_index(u'content_car', ['month'])

        # Removing index on 'Car', fields ['proxymity']
        db.delete_index(u'content_car', ['proxymity'])

        # Removing index on 'Car', fields ['mod_date']
        db.delete_index(u'content_car', ['mod_date'])

        # Removing index on 'Car', fields ['cons_extra']
        db.delete_index(u'content_car', ['cons_extra'])

        # Removing index on 'Car', fields ['standard_num']
        db.delete_index(u'content_car', ['standard_num'])

        # Removing index on 'Car', fields ['power_spec']
        db.delete_index(u'content_car', ['power_spec'])

        # Removing index on 'Car', fields ['price']
        db.delete_index(u'content_car', ['price'])

        # Removing index on 'Car', fields ['eco']
        db.delete_index(u'content_car', ['eco'])

        # Removing index on 'Car', fields ['gear']
        db.delete_index(u'content_car', ['gear'])

        # Removing index on 'Car', fields ['engine_loc']
        db.delete_index(u'content_car', ['engine_loc'])

        # Removing index on 'Car', fields ['turbo']
        db.delete_index(u'content_car', ['turbo'])

        # Removing index on 'Car', fields ['engine']
        db.delete_index(u'content_car', ['engine'])

        # Removing index on 'Car', fields ['field_src']
        db.delete_index(u'content_car', ['field_src'])

        # Removing index on 'Car', fields ['agear']
        db.delete_index(u'content_car', ['agear'])

        # Removing index on 'Car', fields ['fuel']
        db.delete_index(u'content_car', ['fuel'])

        # Removing index on 'Car', fields ['doors']
        db.delete_index(u'content_car', ['doors'])

        # Removing index on 'Car', fields ['torque_max']
        db.delete_index(u'content_car', ['torque_max'])

        # Removing index on 'Car', fields ['traction']
        db.delete_index(u'content_car', ['traction'])

        # Removing index on 'Car', fields ['power_cv']
        db.delete_index(u'content_car', ['power_cv'])

        # Removing index on 'Car', fields ['tow']
        db.delete_index(u'content_car', ['tow'])

        # Removing index on 'Car', fields ['area_c']
        db.delete_index(u'content_car', ['area_c'])

        # Removing index on 'Car', fields ['kml_mix']
        db.delete_index(u'content_car', ['kml_mix'])

        # Removing index on 'Car', fields ['width']
        db.delete_index(u'content_car', ['width'])

        # Removing index on 'Car', fields ['driving']
        db.delete_index(u'content_car', ['driving'])

        # Removing index on 'Car', fields ['layout']
        db.delete_index(u'content_car', ['layout'])

        # Removing index on 'Car', fields ['co2']
        db.delete_index(u'content_car', ['co2'])

        # Removing index on 'Car', fields ['cons_mix']
        db.delete_index(u'content_car', ['cons_mix'])

        # Removing index on 'Car', fields ['speed']
        db.delete_index(u'content_car', ['speed'])

        # Removing index on 'Car', fields ['power_rpm']
        db.delete_index(u'content_car', ['power_rpm'])

        # Removing index on 'Car', fields ['year']
        db.delete_index(u'content_car', ['year'])

        # Removing index on 'Car', fields ['motor']
        db.delete_index(u'content_car', ['motor'])

        # Removing index on 'Car', fields ['cons_urban']
        db.delete_index(u'content_car', ['cons_urban'])

        # Removing index on 'Car', fields ['shape']
        db.delete_index(u'content_car', ['shape'])

        # Removing index on 'Car', fields ['seat']
        db.delete_index(u'content_car', ['seat'])

        # Removing index on 'Car', fields ['torque_rpm']
        db.delete_index(u'content_car', ['torque_rpm'])

        # Removing index on 'Car', fields ['power_weight']
        db.delete_index(u'content_car', ['power_weight'])

        # Removing index on 'Car', fields ['weight']
        db.delete_index(u'content_car', ['weight'])

        # Removing index on 'Car', fields ['version']
        db.delete_index(u'content_car', ['version'])

        # Removing index on 'Car', fields ['power_kw']
        db.delete_index(u'content_car', ['power_kw'])

        # Removing index on 'Car', fields ['year_first']
        db.delete_index(u'content_car', ['year_first'])

        # Removing index on 'Car', fields ['status']
        db.delete_index(u'content_car', ['status'])

        # Removing index on 'Car', fields ['luggage_max']
        db.delete_index(u'content_car', ['luggage_max'])

        # Removing index on 'Layout', fields ['ordering', 'name']
        db.delete_index(u'content_layout', ['ordering', 'name'])

        # Removing index on 'Layout', fields ['name']
        db.delete_index(u'content_layout', ['name'])

        # Removing index on 'TranslationContent', fields ['ordering', 'language', 'title']
        db.delete_index(u'content_translationcontent', ['ordering', 'language_id', 'title'])

        # Removing index on 'Brand', fields ['ordering', 'name']
        db.delete_index(u'content_brand', ['ordering', 'name'])

        # Removing index on 'Brand', fields ['truck']
        db.delete_index(u'content_brand', ['truck'])

        # Removing index on 'Brand', fields ['name']
        db.delete_index(u'content_brand', ['name'])

        # Removing index on 'Brand', fields ['kind']
        db.delete_index(u'content_brand', ['kind'])

        # Removing index on 'Brand', fields ['popolarity']
        db.delete_index(u'content_brand', ['popolarity'])

        # Removing index on 'Brand', fields ['auto']
        db.delete_index(u'content_brand', ['auto'])

        # Removing index on 'Brand', fields ['end_date']
        db.delete_index(u'content_brand', ['end_date'])

        # Removing index on 'Brand', fields ['status']
        db.delete_index(u'content_brand', ['status'])

        # Removing index on 'Brand', fields ['start_date']
        db.delete_index(u'content_brand', ['start_date'])

        # Removing index on 'Brand', fields ['moto']
        db.delete_index(u'content_brand', ['moto'])

        # Removing index on 'PhotoContentGallery', fields ['ordering', u'id']
        db.delete_index(u'content_photocontentgallery', ['ordering', u'id'])

        # Removing index on 'PhotoContentGallery', fields ['photo']
        db.delete_index(u'content_photocontentgallery', ['photo'])

        # Removing index on 'Content', fields ['status']
        db.delete_index(u'content_content', ['status'])

        # Removing index on 'Content', fields ['table']
        db.delete_index(u'content_content', ['table'])

        # Removing index on 'Content', fields ['photo']
        db.delete_index(u'content_content', ['photo'])

        # Removing index on 'Content', fields ['code']
        db.delete_index(u'content_content', ['code'])

        # Removing index on 'PhotoCarModelGallery', fields ['ordering', u'id']
        db.delete_index(u'content_photocarmodelgallery', ['ordering', u'id'])

        # Removing index on 'PhotoCarModelGallery', fields ['photo']
        db.delete_index(u'content_photocarmodelgallery', ['photo'])

        # Removing index on 'VideoCarModelGallery', fields ['ordering', u'id']
        db.delete_index(u'content_videocarmodelgallery', ['ordering', u'id'])

        # Removing index on 'VideoCarModelGallery', fields ['video']
        db.delete_index(u'content_videocarmodelgallery', ['video'])

        # Removing index on 'Kind', fields ['ordering', 'name']
        db.delete_index(u'content_kind', ['ordering', 'name'])

        # Removing index on 'Kind', fields ['name']
        db.delete_index(u'content_kind', ['name'])

        # Removing index on 'VideoContentGallery', fields ['ordering', u'id']
        db.delete_index(u'content_videocontentgallery', ['ordering', u'id'])

        # Removing index on 'VideoContentGallery', fields ['video']
        db.delete_index(u'content_videocontentgallery', ['video'])

        # Removing index on 'Issue', fields ['ordering', 'number']
        db.delete_index(u'content_issue', ['ordering', 'number'])

        # Removing index on 'Issue', fields ['pub_date']
        db.delete_index(u'content_issue', ['pub_date'])

        # Removing index on 'Issue', fields ['number']
        db.delete_index(u'content_issue', ['number'])

        # Removing index on 'Issue', fields ['status']
        db.delete_index(u'content_issue', ['status'])


    models = {
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        u'content.approfondimento': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Approfondimento', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.basecategory': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'BaseCategory'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_basecategory_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_basecategory_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '150'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.brand': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Brand', 'index_together': "(('ordering', 'name'),)"},
            'alts': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'corporates': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'brands'", 'to': u"orm['content.Corporate']", 'through': u"orm['content.CorporateBrandLink']", 'blank': 'True', 'symmetrical': 'False', 'null': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_brand_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'end_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'kind': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_brand_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'logo': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['filer.Image']", 'null': 'True', 'blank': 'True'}),
            'market': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'moto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'nick': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'phone': ('django.db.models.fields.CharField', [], {'max_length': '64L', 'null': 'True', 'blank': 'True'}),
            'popolarity': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '7', 'null': 'True', 'blank': 'True'}),
            'shorts': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'start_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '7', 'null': 'True', 'blank': 'True'}),
            'truck': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'url': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'web': ('django.db.models.fields.URLField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'})
        },
        u'content.breve': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Breve', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.brochure': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Brochure', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.car': {
            'Meta': {'ordering': "('ordering', 'version')", 'object_name': 'Car', 'index_together': "(('ordering', 'version'),)"},
            'acc': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '6', 'decimal_places': '1', 'blank': 'True'}),
            'agear': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'area_c': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'brand': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'cars'", 'null': 'True', 'to': u"orm['content.Brand']"}),
            'co2': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'cons_extra': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'cons_mix': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'cons_urban': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'corporate': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'cars'", 'null': 'True', 'to': u"orm['content.Corporate']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_car_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'displ': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'doors': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'driving': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'eco': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'engine': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'engine_loc': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'field_src': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'fuel': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '8', 'null': 'True', 'blank': 'True'}),
            'gear': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'height': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'infocar': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'kml_mix': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_car_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'layout': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'length': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'luggage': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'luggage_max': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'mod_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'model': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'cars'", 'null': 'True', 'to': u"orm['content.CarModel']"}),
            'month': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'motor': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'new_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'off_month': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'off_year': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pollution': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'power_cv': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'power_kw': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'power_rpm': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'power_spec': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'power_weight': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'price': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'price_update': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'proxymity': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'seat': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'shape': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '13', 'null': 'True', 'blank': 'True'}),
            'shape_old': ('django.db.models.fields.CharField', [], {'max_length': '22', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'speed': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'standard_num': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '7', 'null': 'True', 'blank': 'True'}),
            'tank': ('django.db.models.fields.DecimalField', [], {'db_index': 'True', 'null': 'True', 'max_digits': '8', 'decimal_places': '1', 'blank': 'True'}),
            'target': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '9', 'null': 'True', 'blank': 'True'}),
            'torque_max': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'torque_rpm': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'tow': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'traction': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'turbo': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '1', 'null': 'True', 'blank': 'True'}),
            'version': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'weight': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'width': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'year': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'year_first': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'})
        },
        u'content.carcontent': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'CarContent', 'index_together': "(('ordering',),)"},
            'brand': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'brand_contents'", 'null': 'True', 'to': u"orm['content.Brand']"}),
            'car': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'car_contents'", 'null': 'True', 'to': u"orm['content.Car']"}),
            'content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'car_details'", 'to': u"orm['content.Content']"}),
            'corporate': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'corporate_contents'", 'null': 'True', 'to': u"orm['content.Corporate']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_carcontent_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_carcontent_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'model': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'model_contents'", 'null': 'True', 'to': u"orm['content.CarModel']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.carmodel': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'CarModel', 'index_together': "(('ordering', 'name'),)"},
            'alts': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'brand': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'models'", 'null': 'True', 'to': u"orm['content.Brand']"}),
            'brand_info': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'brochure_link': ('django.db.models.fields.URLField', [], {'default': "''", 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_carmodel_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'descr': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'driving': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'euroncap_name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_carmodel_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'listino_link': ('django.db.models.fields.URLField', [], {'default': "''", 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'mod_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'multi': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'db_index': 'True'}),
            'new_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'new_entry': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '4', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'phase': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'pmodels_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'safety': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '4', 'decimal_places': '1', 'blank': 'True'}),
            'shapes': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '10', 'null': 'True', 'blank': 'True'})
        },
        u'content.catalog': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Catalog', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.content': {
            'Meta': {'object_name': 'Content'},
            'annotation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_content_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_content': ('django.db.models.fields.DateTimeField', [], {}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'issue': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contents'", 'null': 'True', 'to': u"orm['content.Issue']"}),
            'kind': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contents'", 'null': 'True', 'to': u"orm['content.Kind']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_content_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'layout': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contents'", 'to': u"orm['content.Layout']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'page': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': u"orm['content.Content']"}),
            'photo': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'place': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'ref': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'sector': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contents'", 'null': 'True', 'to': u"orm['content.Sector']"}),
            'source': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contents'", 'to': u"orm['content.Source']"}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '2', 'db_index': 'True'}),
            'stream': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contents'", 'null': 'True', 'to': u"orm['content.Stream']"}),
            'table': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        'content.contentadvancedsearchsettings': {
            'Meta': {'object_name': 'ContentAdvancedSearchSettings', 'db_table': "u'cmsplugin_contentadvancedsearchsettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'content_slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'publieditor.content.cms.forms.AdvancedSearchContentForm'", 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'content/cms_plugins/advanced_search.html'", 'max_length': '100'})
        },
        'content.contentdetailsettings': {
            'Meta': {'object_name': 'ContentDetailSettings', 'db_table': "u'cmsplugin_contentdetailsettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'content': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['content.Content']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'content.contentsearchsettings': {
            'Meta': {'object_name': 'ContentSearchSettings', 'db_table': "u'cmsplugin_contentsearchsettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'content_slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'publieditor.content.cms.forms.SearchContentForm'", 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'content/cms_plugins/search.html'", 'max_length': '100'})
        },
        'content.contentsettings': {
            'Meta': {'object_name': 'ContentSettings', 'db_table': "u'cmsplugin_contentsettings'", '_ormbases': ['cms.CMSPlugin']},
            'adjacent_pages': ('django.db.models.fields.IntegerField', [], {'default': '2'}),
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'content_days_excluded': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'content_days_included': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'content_filter': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_page_slug': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'content_slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'content_slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'objects_date_range': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'objects_limit': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '10'}),
            'ordering': ('django.db.models.fields.CharField', [], {'default': "'content__ordering, -content__date_content, title'", 'max_length': '100'}),
            'pub_date_begin': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'pub_date_end': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'show_if_authenticated': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'stream': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['content.Stream']", 'null': 'True', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        u'content.corporate': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Corporate', 'index_together': "(('ordering', 'name'),)"},
            'alts': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_corporate_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'kind': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_corporate_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32', 'db_index': 'True'}),
            'nick': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '8', 'null': 'True', 'blank': 'True'}),
            'ticker': ('django.db.models.fields.CharField', [], {'max_length': '24', 'null': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'wiki': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        u'content.corporatebrandlink': {
            'Meta': {'ordering': "('ordering', 'corporate__name', 'brand__name')", 'object_name': 'CorporateBrandLink', 'index_together': "(('ordering', 'corporate', 'brand'),)"},
            'brand': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'corporate_links'", 'to': u"orm['content.Brand']"}),
            'corporate': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'brand_links'", 'to': u"orm['content.Corporate']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_corporatebrandlink_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'end_date': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'kind': ('django.db.models.fields.CharField', [], {'max_length': '3', 'db_index': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_corporatebrandlink_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'start_date': ('django.db.models.fields.DateField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'})
        },
        u'content.crashtest': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'CrashTest', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.gallery': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Gallery', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.hit': {
            'Meta': {'ordering': "('ordering', 'title')", 'object_name': 'Hit', 'index_together': "(('ordering', 'title'),)"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_hit_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            'field': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'filters': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_hit_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'limit': ('django.db.models.fields.IntegerField', [], {'default': '50'}),
            'operator': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'ordering_field': ('django.db.models.fields.CharField', [], {'default': "'d'", 'max_length': '1'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '255'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'db_index': 'True'}),
            'unit': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '15', 'null': 'True', 'blank': 'True'})
        },
        u'content.issue': {
            'Meta': {'ordering': "('ordering', '-number')", 'object_name': 'Issue', 'index_together': "(('ordering', 'number'),)"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_issue_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_issue_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.IntegerField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'pub_date': ('django.db.models.fields.DateTimeField', [], {'db_index': 'True', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'db_index': 'True'}),
            'stream': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'issues'", 'null': 'True', 'to': u"orm['content.Stream']"})
        },
        u'content.kind': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Kind', 'index_together': "(('ordering', 'name'),)"},
            'context': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_kind_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_kind_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'old_name': ('django.db.models.fields.CharField', [], {'max_length': '32', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'parents': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'parents_rel_+'", 'null': 'True', 'to': u"orm['content.Kind']"}),
            'query_keys': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.layout': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Layout', 'index_together': "(('ordering', 'name'),)"},
            'contexts': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_layout_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_layout_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.news': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'News', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.openhouse': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'OpenHouse', '_ormbases': [u'content.Content']},
            'availability_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'availability_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'brochure_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'brochure_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'buyback_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'buyback_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'}),
            'financial_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'financial_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'offers_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'offers_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'overall_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'overall_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'quotation_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'quotation_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'roadtest_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'roadtest_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'showroom_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'showroom_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'waiting_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'waiting_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'welcome_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'welcome_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        u'content.photocarmodelgallery': {
            'Meta': {'ordering': "('ordering', 'id')", 'object_name': 'PhotoCarModelGallery', 'index_together': "(('ordering', 'id'),)"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_photocarmodelgallery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_photocarmodelgallery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'model': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'photos'", 'to': u"orm['content.CarModel']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'photo': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.photocontentgallery': {
            'Meta': {'ordering': "('ordering', 'id')", 'object_name': 'PhotoContentGallery', 'index_together': "(('ordering', 'id'),)"},
            'content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'photos'", 'to': u"orm['content.Content']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_photocontentgallery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_photocontentgallery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'photo': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.photogallery': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'PhotoGallery', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.preference': {
            'Meta': {'ordering': "('ordering',)", 'unique_together': "(('reader', 'content'),)", 'object_name': 'Preference', 'index_together': "(('reader', 'content'),)"},
            'content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'preferences'", 'to': u"orm['content.Content']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_preference_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_ip_address': ('django.db.models.fields.GenericIPAddressField', [], {'max_length': '39'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_preference_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'read': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'reader': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'content_preferences'", 'to': u"orm['auth.User']"}),
            'saved': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.roadtest': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'RoadTest', '_ormbases': [u'content.Content']},
            'comfort_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'comfort_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'cons': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'}),
            'design_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'design_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'global_point': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'howitgoes_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'howitgoes_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'howitis_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'howitis_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'performance_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'performance_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'pros': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'safety_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'safety_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'toknow': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'value_description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'value_point': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        u'content.sector': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Sector', 'index_together': "(('ordering', 'name'),)"},
            'context': ('django.db.models.fields.CharField', [], {'max_length': '16', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_sector_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'keys': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_sector_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '64', 'db_index': 'True'}),
            'old_name': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'parents': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'parents_rel_+'", 'null': 'True', 'to': u"orm['content.Sector']"}),
            'query_keys': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.source': {
            'Meta': {'object_name': 'Source'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_source_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_source_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'})
        },
        u'content.stream': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Stream', 'index_together': "(('ordering', 'name'),)"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_stream_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'info': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'streams'", 'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_stream_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '32', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '16', 'null': 'True', 'blank': 'True'})
        },
        u'content.testdrive': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'TestDrive', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        'content.todaysettings': {
            'Meta': {'object_name': 'TodaySettings', 'db_table': "u'cmsplugin_todaysettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'content.translationcontent': {
            'Meta': {'ordering': "('ordering', 'language', 'title')", 'object_name': 'TranslationContent', 'index_together': "(('ordering', 'language', 'title'),)"},
            'abstract': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'body': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': u"orm['content.Content']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_translationcontent_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "u'content_translationcontent'", 'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_translationcontent_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '255'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'tags': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "u'content_translationcontent'", 'symmetrical': 'False', 'to': u"orm['tag.Tag']"}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'content.usercontentsettings': {
            'Meta': {'unique_together': "(('user', 'translation_content'),)", 'object_name': 'UserContentSettings', 'index_together': "(('user', 'translation_content'), ('user', 'translation_content', 'is_read'), ('user', 'translation_content', 'is_favorite'), ('user', 'translation_content', 'is_removed'), ('user', 'translation_content', 'is_favorite', 'is_removed'))"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_usercontentsettings_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_favorite': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'is_read': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'is_removed': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'db_index': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_usercontentsettings_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'translation_content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'user_settings'", 'to': u"orm['content.TranslationContent']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'content_settings'", 'to': u"orm['auth.User']"})
        },
        u'content.video': {
            'Meta': {'ordering': "('ordering', '-date_content', 'name')", 'object_name': 'Video', '_ormbases': [u'content.Content']},
            u'content_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['content.Content']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'content.videocarmodelgallery': {
            'Meta': {'ordering': "('ordering', 'id')", 'object_name': 'VideoCarModelGallery', 'index_together': "(('ordering', 'id'),)"},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_videocarmodelgallery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_videocarmodelgallery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'model': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'videos'", 'to': u"orm['content.CarModel']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'video': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        u'content.videocontentgallery': {
            'Meta': {'ordering': "('ordering', 'id')", 'object_name': 'VideoContentGallery', 'index_together': "(('ordering', 'id'),)"},
            'content': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'videos'", 'to': u"orm['content.Content']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_videocontentgallery_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'content_videocontentgallery_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'max_length': '3', 'null': 'True'}),
            'video': ('django.db.models.fields.URLField', [], {'db_index': 'True', 'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'filer.file': {
            'Meta': {'object_name': 'File'},
            '_file_size': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'folder': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'all_files'", 'null': 'True', 'to': "orm['filer.Folder']"}),
            'has_all_mandatory_data': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_public': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'modified_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '255', 'blank': 'True'}),
            'original_filename': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'owned_files'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'polymorphic_ctype': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'polymorphic_filer.file_set'", 'null': 'True', 'to': u"orm['contenttypes.ContentType']"}),
            'sha1': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '40', 'blank': 'True'}),
            'uploaded_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'})
        },
        'filer.folder': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('parent', 'name'),)", 'object_name': 'Folder'},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'modified_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'filer_owned_folders'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'children'", 'null': 'True', 'to': "orm['filer.Folder']"}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'uploaded_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'})
        },
        'filer.image': {
            'Meta': {'object_name': 'Image', '_ormbases': ['filer.File']},
            '_height': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            '_width': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'author': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'date_taken': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default_alt_text': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'default_caption': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            u'file_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['filer.File']", 'unique': 'True', 'primary_key': 'True'}),
            'must_always_publish_author_credit': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'must_always_publish_copyright': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'subject_location': ('django.db.models.fields.CharField', [], {'default': 'None', 'max_length': '64', 'null': 'True', 'blank': 'True'})
        },
        u'i18n.language': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Language'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'tag.tag': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Tag'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'tag_tag_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'tag_tag_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'})
        }
    }

    complete_apps = ['content']