var last_add_click;
var last_delete;
var last_added_pk;
var left=[]

function reorder() {
    $(".idxnumber").each(function(idx, el) {
        $(this).html(idx + 1)
    })
}

function recolor(){
	$("#result_list tbody tr").each(function(idx, el) {
		if (idx & 1){
			$(el).removeClass("row1").addClass("row2") 
		}else{
			$(el).removeClass("row2").addClass("row1") 
		}
	})
}

function update_cme(pk) {
    href = $(".add").attr('href').replace("/add", "/" + pk)
    $.getJSON(href).done(function(data) {
        desc = data[0].fields.description
        row = $("#cme" + data[0].pk)
        if ($(row).length == 0) {
            clone = copia = $("#result_list tbody tr").first().clone()
            vecchio_id = clone.attr("id").replace("cme",'')
            clone.attr("id", "cme"+ data[0].pk)
            
            clone.find(".field-description").html(desc)
            clone.find(".field-description").attr("id", "cme"+ data[0].pk)
            
            clone.find(".change").attr("href", href)
            clone.find(".delete").attr("href",  clone.find(".delete").attr("href").replace(vecchio_id,data[0].pk))
            clone.find("input").each(function(){
            	if($(this).attr("id")){
            		$(this).attr("id",$(this).attr("id").replace(vecchio_id,data[0].pk))
            	}
            	if($(this).attr("name")){
            		$(this).attr("name",$(this).attr("name").replace(vecchio_id,data[0].pk))
            	}
            	if($(this).attr("class")){
            		$(this).attr("class",$(this).attr("class").replace(vecchio_id,data[0].pk))
            	}
            	$(this).attr("checked", false)
            })
            clone.find(".action-select").attr("checked", false)
            if (clone.hasClass("row1")) {
                clone.removeClass("row1").addClass("row2")
            } else {
                clone.removeClass("row2").addClass("row1")
            }
            $("#result_list tbody").prepend(clone)
            reorder()
        } else {
            $(row).find(".field-description").html(desc)
        }
    })
}

function set_iframe_close() {
	iframe_callback = function() {
		iframe_callback = iframe_callback_bk;
		window.location.href = window.location.href
	}
	
}

function set_iframe() {
    iframe_callback = function(action, model, pk, content, message, method) {
        iframe_callback = iframe_callback_bk;
        update_cme(pk)
        jmb.add_message(message, 'info')
        //setTimeout(set_linea,2000); 
        if (action == "delete") {
            $(dialog).dialog("close");
            last_delete.remove()
            reorder()
            recolor()
            return false;
        }
        
        if (method == "_json_continue" && action == "add") {
            $(dialog).dialog("close");
            last_added_pk = pk
            $(last_add_click).click()
            return false;
        }
        if (method == "_json" && action == "add") {
            $(dialog).dialog("close");
            return false;
        }
        if (method == "_json" && action == "change") {
            $(dialog).dialog("close");
            return false;
        }
        if (method == "_json_continue" && action == "change") {
            $(dialog).dialog("close");
            last_added_pk = pk
            $(last_add_click).click()
            return false;
        }
    }
}

function filter_inputs(){
    var value =  $('#filterinput').val();
    if (value != "") {
        value = value.toLowerCase().trim();
        $('td[class="header-car"]').each(function () {
            var cell_value = $(this).children('.titoloversione').text().toLowerCase().trim();
            var column = $(this).index()+5;
            var $checkboxes_td = $('#result_list tbody td:nth-child(' + (column) + ')').find('[type=checkbox]');
            var $checkboxes_th = $("#result_list thead tr th").eq(column-1).find('[type=checkbox]');
            if (cell_value.indexOf(value) > -1) {
                $checkboxes_td.removeAttr('readonly');
                $checkboxes_th.removeAttr('readonly');
            } else {
                $checkboxes_td.attr('readonly', 'readonly');
                $checkboxes_th.attr('readonly', 'readonly');
            }
        });
    } else {
        $('[class*="motor-"]').removeAttr('readonly');
        $('.car-header').removeAttr('readonly');
    }
}


$(document).ready(function() {
    // filtra gli elementi
    $('#filterbutton').click(function(e){
        e.preventDefault();
        filter_inputs();
    });

    // clean filter
    $('#filterclean').click(function(e){
        e.preventDefault();
        $('#filterinput').val('');
        $('[class*="motor-"]').removeAttr('readonly');
        $('.car-header').removeAttr('readonly');
    });

    $('#filterinput').keypress(function(e){
        if (e.keyCode == 13) {
            e.preventDefault();
            filter_inputs();
        }
    });

    // linea obliqua
    $(".titolomotor").parent().each(function(i,e){
        $(".car-header-th.first-cell").eq(i).prepend(e).prepend("<div class='linea'></div><div class='linea2'></div>")
    });

    // linea orizzontale
    $(".titolomotor input").each(function(){
        id=$(this).attr("id").replace("motor","#title")
        th = $(this).parents("th")
        linea2 =  $(th).find(".linea2")
        n = parseInt($(id).attr("colspan"))
        f =$(".first-cell").width()
        v= n*f+10
        linea2.width(linea2.width()*n)
        $(this).parent().css("marginLeft", v+"px")
    });

    // click checkbox generali: motorizzazione, versione e dotazione
    $(document).on("click", ".car-header, .toggletd, .toggleth", function() {
        id = $(this).attr('id');
        ck = $(this).attr("checked");
        if (ck) {
          $("."+id).each(function() {
            if ($(this).attr('readonly') == undefined) {
              $( this ).attr("checked", "checked");
            }
          })
        } else {
          $("."+id).each(function() {
            if ($(this).attr('readonly') == undefined) {
              $( this ).attr("checked", false);
            }
          })
        }
    });

    // click 'change' button
    $(document).on("click", ".change", function() {
        set_iframe()
        value = $(this).attr('value')
        href = $(this).attr('href') + "?_popup=1&_hjson=1&"
        last_add_click = this
        jmb.show_in_popup(href, value)
        return false
    });

    // click 'delete' button
    $(document).on("click", ".delete", function() {
        set_iframe()
        last_delete = $(this).parents('tr')
        value = $(this).attr('value')
        href = $(this).attr('href') + "?_popup=1&_hjson=1&"
        last_add_click = this
        jmb.show_in_popup(href, value)
        return false
    });

    // click 'insert' button
    $(".inse").on("click", function() {
    	set_iframe_close()
    	value = $(this).attr('value')
        href = $(this).attr('href')
        last_add_click = this
        jmb.show_in_popup(href, value)
        return false
    });

    // click 'add' button
    $(".add").on("click", function() {
        set_iframe()
        value = $(this).attr('value')
        href = $(this).attr('href') + "&_popup=1&_hjson=1&"
        last_add_click = this
        if (last_added_pk) {
            href = href.replace("/add", "/" + last_added_pk);
            last_added_pk = undefined
        }
        jmb.show_in_popup(href, value)
        return false
    });
});