$(document).ready(function() {

    /* lista photos */
    var inlinePhotosRaw = $("#media_photos-group .tabular .module tbody tr");
    /* lista tables */
    var inlineTablesRaw = $("#media_tables-group .tabular .module tbody tr");
    /* lista videos */
    var inlineVideosRaw = $("#media_videos-group .tabular .module tbody tr");
    /* parametri contatori */
    var params_dict = {
            'maxChars': 255,
            'maxCharsWarning': 40,
            'msgFontSize': '11px',
            'msgFontColor': '#666',
            'msgFontFamily': '"Lucida Grande", Verdana, Arial, sans-serif',
            'msgTextAlign': 'left',
            'msgWarningColor': '#666',
            'msgAppendMethod': 'insertBefore'
        }

    /* inizializzazione contatori Photos */
    inlinePhotosRaw.each(function (index){
        $(this).find(".field-title .jqEasyCounterMsg").remove();
        var title = $(this).find(".field-title").get(0);
        var idInput = $(title).find(".vTextField").attr("id");
        $('#'+idInput).jqEasyCounter(params_dict);
    });

    /* inizializzazione contatori Tables */
    inlineTablesRaw.each(function (index){
        $(this).find(".field-title .jqEasyCounterMsg").remove();
        var title = $(this).find(".field-title").get(0);
        var idInput = $(title).find(".vTextField").attr("id");
        $('#'+idInput).jqEasyCounter(params_dict);
    });

    /* inizializzazione contatori Videos */
    inlineVideosRaw.each(function (index){
        $(this).find(".field-title .jqEasyCounterMsg").remove();
        var title = $(this).find(".field-title").get(0);
        var idInput = $(title).find(".vTextField").attr("id");
        $('#'+idInput).jqEasyCounter(params_dict);
    });

});
