jQuery(document).ready(function ($) {

    var radio_names = []

    $(".field-get_point_avg").parent().find("input[type=radio]").each(function () {
        name = $(this).attr("name");
        if (($.inArray(name, radio_names) == -1)) radio_names.push(name);
    })


    $(".field-get_point_avg").parent().find("input[type=radio]").bind('click change keyup', function () {
        avg = calc_avg(radio_names)
        avg = (avg) ? avg : 0;
        avg = avg.toFixed(1);
        $(".field-get_point_avg p").html(avg)
    })

        function calc_avg(radio_names) {
            count = 0
            total = 0

            $(radio_names).each(function (index, name) {

                value = $('input[name=' + name + ']:checked').val()
                if (value != undefined) {
                    count += 1
                    total += parseInt(value)
                }
            })
            return total / count;

        }

})(jQuery)
