/**
 * Created by luca on 23/05/14.
 */

jQuery(document).ready(function() {

    $(".favorite_button").click(function(){
        var html_element = $(this);
        var translation_content_id = html_element.attr('id').replace("favorite_", "");
        var curr_url = document.URL;
        $.ajax({
            url: "/content/ajax_favorite_content",
            type : "GET",
            dataType: "json",
            data: {'translation_content_id': translation_content_id},
            success: function(data){
                var div_id = "#div_content_list_object_";
                div_id += translation_content_id;
                if(data['content_favorite']){
                    if(curr_url.indexOf('preferiti')==-1){
                        $(div_id).toggle("slow");
                    }else{
                        $(div_id).show();
                    }
                }else{
                    if(curr_url.indexOf('preferiti')==-1){
                        $(div_id).show();
                    }else{
                        $(div_id).toggle("slow");
                    }
                }
            }
        });
        return false;
    });

    $(".remove_button").click(function(){
        var html_element = $(this);
        var translation_content_id = html_element.attr('id').replace("remove_", "");
        var curr_url = document.URL;
        $.ajax({
            url: "/content/ajax_remove_content",
            type : "GET",
            dataType: "json",
            data: {'translation_content_id': translation_content_id},
            success: function(data){
                var div_id = "#div_content_list_object_";
                div_id += translation_content_id;
                if(data['content_removed']){
                    if(curr_url.indexOf('rimossi')==-1){
                        $(div_id).toggle("slow");
                    }else{
                        $(div_id).show();
                    }
                }else{
                    if(curr_url.indexOf('rimossi')==-1){
                        $(div_id).show();
                    }else{
                        $(div_id).toggle("slow");
                    }
                }
            }
        });
        return false;
    });

    $("button[id^='btn-sector-tag_']").click(function(){
        var sector_tag = $(this).attr('id').replace("btn-sector-tag_", "");
        var url = window.location.href;
        url = removeParameter(url, "page");
        url = removeParameter(url, "paginator_instance_slug");
        setGetParameter({sector_tag: sector_tag}, url);
    });

    $("button[id^='btn-kind-tag_']").click(function(){
        var kind_tag = $(this).attr('id').replace("btn-kind-tag_", "");
        var url = window.location.href;
        url = removeParameter(url, "page");
        url = removeParameter(url, "paginator_instance_slug");
        setGetParameter({kind_tag: kind_tag}, url);
    });

    $("button[id^='btn-corporate-tag_']").click(function(){
        var corporate_tag = $(this).attr('id').replace("btn-corporate-tag_", "");
        var url = window.location.href;
        url = removeParameter(url, "page");
        url = removeParameter(url, "paginator_instance_slug");
        setGetParameter({corporate_tag: corporate_tag}, url);
    });

    $("button[id^='btn-brand-tag_']").click(function(){
        var brand_tag = $(this).attr('id').replace("btn-brand-tag_", "");
        var url = window.location.href;
        url = removeParameter(url, "page");
        url = removeParameter(url, "paginator_instance_slug");
        setGetParameter({brand_tag: brand_tag}, url);
    });

    $('div.thumb img').hoverpulse();

});

function setGetParameter(dictParams, url)
{
    var url = url || window.location.href;
    for (var paramName in dictParams){
        var paramValue = dictParams[paramName]
        if (url.indexOf(paramName + "=") >= 0)
        {
            var prefix = url.substring(0, url.indexOf(paramName));
            var suffix = url.substring(url.indexOf(paramName));
            suffix = suffix.substring(suffix.indexOf("=") + 1);
            suffix = (suffix.indexOf("&") >= 0) ? suffix.substring(suffix.indexOf("&")) : "";
            url = prefix + paramName + "=" + paramValue + suffix;
        }
        else
        {
        if (url.indexOf("?") < 0)
            url += "?" + paramName + "=" + paramValue;
        else
            url += "&" + paramName + "=" + paramValue;
        }
    }
    window.location.href = url.replace("#","");
}

function removeParameter(url, parameter)
{
  var url_parts= url.split('?');
  if (url_parts.length>=2)
  {
      var urlBase=url_parts.shift(); //get first part, and remove from array
      var queryString=url_parts.join("?"); //join it back up

      var prefix = encodeURIComponent(parameter)+'=';
      var pars = queryString.split(/[&;]/g);
      for (var i= pars.length; i-->0;)               //reverse iteration as may be destructive
          if (pars[i].lastIndexOf(prefix, 0)!==-1)   //idiom for string.startsWith
              pars.splice(i, 1);
      url = urlBase+'?'+pars.join('&');
  }
  return url;
}
