from django.conf.urls import url, patterns, include
from publieditor.content.api.views import IssueViewSet
from rest_framework import routers

# # API urls
content_api_router = routers.DefaultRouter()
content_api_router.register(r'issues', IssueViewSet)

urlpatterns = patterns(
    '',
    url(r'^', include(content_api_router.urls)),
)