from django.core.management.base import BaseCommand
from optparse import make_option
import json
import urllib
import urllib2
from publieditor.content.models import MediaPhoto


class Command(BaseCommand):
    """Get all messages from configured Host
    """
    help = "Wao!"

    output_transaction = True

    def handle(self, *args, **options):

        all_photos = MediaPhoto.objects.all().order_by("-date_last_modify")

        for photo in all_photos:
            try:
                # lettura da media server
                photo_id = photo.photo_id
                url = "https://media.autolinknews.com/searchPhotos.json"
                query = "id:%s" % str(photo_id)
                parameters = {"query": query, "newsId": "0"}
                data = urllib.urlencode(parameters)
                req = urllib2.Request(url, data)
                response = urllib2.urlopen(req)
                response_object = response.read()
                str1_obj = response_object.split("Result(")
                json_object = str1_obj[1].split(")")
                response_dict = json.loads(json_object[0])["result"][0]

            except Exception, ex:
                response_dict = {}

            if response_dict and "has16_9" in response_dict:
                try:
                    # modifica oggetto photo
                    photo.has16_9 = response_dict["has16_9"]
                    photo.save()
                except Exception:
                    pass