function toggle_table(fixed_columns_limit, first_page_limit, second_page_limit, third_page_limit, page){
    for(h=1;h<fixed_columns_limit;h++){
        if (page==1){
            $('#result_list .col_'+h+' ').show();
        }else{
            $('#result_list .col_'+h+' ').hide();
        }
    }

    for(h=fixed_columns_limit+1;h<=first_page_limit;h++){
        if (page==1){
            $('#result_list .col_'+h+' ').show();
        }else{
            $('#result_list .col_'+h+' ').hide();
        }
    }
    for(h=first_page_limit+1;h<=second_page_limit;h++){
        if (page==2){
            $('#result_list .col_'+h+' ').show();
        }else{
            $('#result_list .col_'+h+' ').hide();
        }
    }
    for(h=second_page_limit+1;h<=third_page_limit;h++){
        if (page==3){
            $('#result_list .col_'+h+' ').hide();
        }else{
            $('#result_list .col_'+h+' ').show();
        }
    }
}

jQuery(document).ready(function() {
    // initialization
    var rowCount = $('#result_list tr').length;
    var colCount = $("#result_list tr:first-child td").length;

    // buttons
    var backward= $('<input type="button" name="_backward" class="default backward" value=" << ">');
    var forward= $('<input type="button" name="_forward" class="default forward" value=" >> ">');
    $(".paginator").append(backward);
    $(".paginator").append(forward);

    // table head
    for(j=1;j<=colCount;j++){
        var th_class = ""
        if( $('#result_list thead tr th:nth-child('+j+')').attr("class")!=null ){
            td_class = $('#result_list th:nth-child('+j+')').attr("class") + " col_" + j;
        }else{
            td_class = "col_" + j;
        }
        $('#result_list thead tr th:nth-child('+j+')').attr("class", td_class);
    };

    // table body
    for (i=1;i<=rowCount;i++){
        //var i_row_tds = $('#result_list tr:nth-child(i) td');
        for(j=1;j<=colCount;j++){
            var td_class = ""
            if( $('#result_list tr:nth-child('+i+') td:nth-child('+j+')').attr("class")!=null ){
                td_class = $('#result_list tr:nth-child('+i+') td:nth-child('+j+')').attr("class") + " col_" + j;
            }else{
                td_class = "col_" + j;
            }
            $('#result_list tr:nth-child('+i+') td:nth-child('+j+')').attr("class", td_class);
        };
    };

    // handler
    var fixed_columns_limit = 4;
    var first_page_limit = 22;
    var second_page_limit = 47;
    var third_page_limit = 100;

    current_page = 1

    toggle_table(fixed_columns_limit,first_page_limit,second_page_limit,third_page_limit,current_page);

    $('.backward').on('click',function(){
        current_page = current_page > 1? current_page -1: current_page
        toggle_table(fixed_columns_limit,first_page_limit,second_page_limit,third_page_limit,current_page);
    });
    $('.forward').on('click',function(){
        current_page = current_page < 3? current_page +1: current_page
        toggle_table(fixed_columns_limit,first_page_limit,second_page_limit,third_page_limit,current_page);
    });
});
