# -*- coding: utf-8 -*-

from django.core.exceptions import ValidationError
from django.utils.translation import ugettext as _


def validate_excel_extensions(value):
    ext = value.name.split(".")[-1]
    if ext not in ["xls", "xlsx"]:
        raise ValidationError(_("Can't upload not excel file"))
